﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;

namespace ImageShop
{
    public partial class WindowControls : UserControl
    {
        public WindowControls()
        {
            InitializeComponent();
        }

        /*
         *  Maximize or Restore
         */ 
        bool maximized = false;
        private void maximize_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {

            if (!maximized)
            {
                Application.Current.MainWindow.WindowState = WindowState.Maximized;
                maximized = true;
            }
            else
            {
                maximized = false;
                Application.Current.MainWindow.WindowState = WindowState.Normal;
            }
        }

        /*
         *  Minimize
         */ 
        private void minimize_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            Application.Current.MainWindow.WindowState = WindowState.Minimized;
        }


        /*
         *  Close
         */ 
        private void close_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            Application.Current.MainWindow.Close();
        }

        #region Housekeeping

        private void minimize_MouseEnter(object sender, MouseEventArgs e)
        {
            minimize.Height++;
            minimize.Width++;
        }

        private void minimize_MouseLeave(object sender, MouseEventArgs e)
        {
            minimize.Height--;
            minimize.Width--;
        }

        private void maximize_MouseEnter(object sender, MouseEventArgs e)
        {
            maximize.Height++;
            maximize.Width++;

        }

        private void maximize_MouseLeave(object sender, MouseEventArgs e)
        {
            maximize.Height--;
            maximize.Width--;
        }

        private void close_MouseEnter(object sender, MouseEventArgs e)
        {
            close.Height++;
            close.Width++;
        }

        private void close_MouseLeave(object sender, MouseEventArgs e)
        {
            close.Height--;
            close.Width--;
        }

        #endregion
    }
}
