﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace TrustedApp
{
  public partial class AdHost : UserControl
  {
    private DispatcherTimer _dt = null;
    private DispatcherTimer _refresh = null;

    public AdHost()
    {
      InitializeComponent();
    }

    public void ShowAd()
    {
      // Start flyin
      flyIn.Begin();

      // Display for 20 seconds
      if (null == _dt)
      {
        _dt = new DispatcherTimer();
        _dt.Interval = new TimeSpan(0, 0, 20);

        _refresh = new DispatcherTimer();
        _refresh.Interval = new TimeSpan(0, 0, 0, 0, 100);

        _dt.Tick += delegate(object sender, EventArgs e)
        {
          _dt.Stop();
          _refresh.Stop();
           (this.Parent as FrameworkElement).Visibility = Visibility.Collapsed;
        };

        _refresh.Tick += delegate(object sender, EventArgs e)
        {
          brush.Redraw();
        };
      }

      (this.Parent as FrameworkElement).Visibility = Visibility.Visible;

      _dt.Stop();
      _dt.Start();
      _refresh.Start();
    }

    private void LayoutRoot_Loaded(object sender, RoutedEventArgs e)
    {
      // Hack to fix wb
      wb.Source = new Uri("../Ad.htm", UriKind.Relative);
    }

  }
}
